## python-dbus 0.61-1osso5

=== debian/changelog ===
python-dbus (0.61-1osso5) unstable; urgency=low

  * minor cleanups in debian/rules

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Fri,  9 Jun 2006 16:30:57 -0300

python-dbus (0.61-1osso4) unstable; urgency=low

  * added shlibs dependencies
  * enable "-mthumb" and "-msoft-abi=softfp" flags on gcc

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue, 6 Jun 2006 19:25:00 -0300

python-dbus (0.61-1osso3) unstable; urgency=low

  * added python2.4-pyrex in Build-Depends

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue, 1 Jun 2006 23:51:00 -0300

python-dbus (0.61-1osso2) unstable; urgency=low

  * remove extract.pyc file in debian/rules clean target

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue, 19 May 2006 13:48:00 -0300

python-dbus (0.61-1osso1) unstable; urgency=low

  * first version

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue, 16 May 2006 13:48:00 -0300
