## python-dbus 0.82-4osso2

=== debian/changelog ===
python-dbus (0.82-4osso2) unstable; urgency=low

  * removed pyrex dependency 

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Tue, 17 Jun 2008 11:11:09 -0300
