## python-dbus 0.83-0maemo0

=== debian/changelog ===
python-dbus (0.83-0maemo0) unstable; urgency=low

  * New upstream version and rebuild for maemo 5 

 -- Johannes Schmid <jschmid@openismus.com>  Tue, 24 Mar 2009 14:30:07 +0100
